# coding=utf-8

from django.db import models
from django.conf import settings

config_file = 'config/'
class Config(models.Model):
    FREE_DAYS = 'free_days'  # 免费体验天数

    EDITION_1_YUAN = 'edition_1_yuan' # 标准版原价
    EDITION_1_ONE_YEAR = 'edition_1_1_year' # 标准版1年
    EDITION_1_TWO_YEAR = 'edition_1_2_year' # 标准版2年
    EDITION_1_THREE_YEAR = 'edition_1_3_year' # 标准版3年

    EDITION_2_YUAN = 'edition_2_yuan' # 专业版原价
    EDITION_2_ONE_YEAR = 'edition_2_1_year' # 专业版1年
    EDITION_2_TWO_YEAR = 'edition_2_2_year' # 专业版2年
    EDITION_2_THREE_YEAR = 'edition_2_3_year' # 专业版3年

    EDITION_3_YUAN = 'edition_3_yuan' # 无限版原价
    EDITION_3_ONE_YEAR = 'edition_3_1_year' # 无限版1年
    EDITION_3_TWO_YEAR = 'edition_3_2_year' # 无限版2年
    EDITION_3_THREE_YEAR = 'edition_3_3_year' # 无限版3年


    property = models.CharField(max_length=100, verbose_name=u'属性')
    value = models.TextField(verbose_name=u'值')

    class Meta:
        db_table = "system_config"
        verbose_name = u"基础设置"
        index_together = (
            'property',
        )
        default_permissions = ()

    @staticmethod
    def getIntValue(key):
        config = Config.objects.filter(property=key).first()
        if config:
            return config.value
        else:
            return 0
